summaryrefslogtreecommitdiffstats
path: root/solenv
diff options
context:
space:
mode:
authorNorbert Thiebaud <nthiebaud@gmail.com>2012-02-07 12:03:44 -0600
committerNorbert Thiebaud <nthiebaud@gmail.com>2012-02-07 12:03:44 -0600
commit51a3d9c07c73f86455505a074fa01b88fb802852 (patch)
treec69bc283fbf3e6ccb3d461430ecf8a1d318e1e53 /solenv
parentConvert dptabres.cxx in SC module from SV_DECL_PTRARR_DEL to std::vector. (diff)
downloadcore-51a3d9c07c73f86455505a074fa01b88fb802852.tar.gz
core-51a3d9c07c73f86455505a074fa01b88fb802852.zip
adapt create-tags/create-ids to the absence of set_soenv.in
Diffstat (limited to 'solenv')
-rwxr-xr-xsolenv/bin/create-ids8
-rwxr-xr-xsolenv/bin/create-tags11
2 files changed, 16 insertions, 3 deletions
diff --git a/solenv/bin/create-ids b/solenv/bin/create-ids
index 4561fb87de59..e4d31474cd0f 100755
--- a/solenv/bin/create-ids
+++ b/solenv/bin/create-ids
@@ -2,7 +2,13 @@
# create ID file for the whole LibO tree. run it in toplevel dir
-. ./config_host.mk
+if [ -z "$INPATH" ] ; then
+ INPATH=$(grep "INPATH=" ./config_host.mk | sed -e "s/INPATH=//")
+fi
+if [ -z "$INPATH" ] ; then
+ echo "could not determine INPATH" >&2
+ exit 1
+fi
# --with-outpath includes projects/$INPATH/inc (also solver/$INPATH/inc)
if [ "$1" = "--with-outpath" ]; then
diff --git a/solenv/bin/create-tags b/solenv/bin/create-tags
index a2f640ccc785..a61c5b68c65b 100755
--- a/solenv/bin/create-tags
+++ b/solenv/bin/create-tags
@@ -1,6 +1,13 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
+
+if [ -z "$INPATH" ] ; then
+ INPATH=$(grep "INPATH=" ./config_host.mk | sed -e "s/INPATH=//")
+fi
+if [ -z "$INPATH" ] ; then
+ echo "could not determine INPATH" >&2
+ exit 1
+fi
-. ./config_host.mk
omnicppoptions="--c++-kinds=+p --fields=+iaS --extra=+q"
ctags -h "+.hdl.hrc" --langmap=c:+.hdl.hrc.src $omnicppoptions \